=== Makefile ===
#THIS Makefile should be erase by Cmake when use command "cmake."

all : 
	@echo "THIS COMMAND IS NOT AVAILABLE!"
	@echo "Since v3.4 we use Cmake. Now use:"
	@echo "\tcmake -DCMAKE_INSTALL_PREFIX=<where_you_want> .\n\tmake\n\tmake install"

clean : all
