=== debian/changelog ===
simgrid (3.10-7) unstable; urgency=medium

  * Only build-dep on valgrind on archs that provide it.

 -- Martin Quinson <mquinson@debian.org>  Tue, 28 Jan 2014 23:36:00 +0100

simgrid (3.10-6) unstable; urgency=low

  * Build-depends on valgrind so that SimGrid programs become
    valgrindable (Closes: #735749).

 -- Martin Quinson <mquinson@debian.org>  Sat, 18 Jan 2014 20:42:39 +0100

simgrid (3.10-5) unstable; urgency=medium

  * Disable parallel builds, as gfortran breaks when building mpich3
    tests in parallel.

 -- Martin Quinson <mquinson@debian.org>  Sat, 11 Jan 2014 22:46:35 +0100

simgrid (3.10-4) unstable; urgency=low

  * Put me as a maintainer and Lucas as an uploader.
  * Get all the new packages conflicting with the old all-in-one
    package (Closes: #734834, #734835).

 -- Martin Quinson <mquinson@debian.org>  Sat, 11 Jan 2014 16:19:55 +0100

simgrid (3.10-2) unstable; urgency=medium

  * Split package in four components: binaries, doc, headers, java.
  * Enable parallel build if the option is set in DEB_BUILD_OPTIONS
  * Rename graphicator to simgrid-graphicator to preserve the namespace
  * d/control: Bump standard version to 3.9.5 (no other change)
  * Upload to unstable now that the package is reasonably clean.

 -- Martin Quinson <mquinson@debian.org>  Sun, 05 Jan 2014 10:12:15 +0100

simgrid (3.10-1) experimental; urgency=low

  * Packaging the final version of the 3.10 release
  * Adapt to the recent versions of cmake:
    - Change -Dprefix into -DCMAKE_INSTALL_PREFIX
    - Don't use -Dcustom_flags but set the environment

 -- Martin Quinson <mquinson@debian.org>  Sun, 24 Nov 2013 15:41:30 +0100

simgrid (3.10~rc2-1) experimental; urgency=low

  * New upstream snapshot, preparing the next 3.10 release.
    - (Hopefully) Fix java building on kfreebsd
    - Adapt to cmake 2.8.12 (Jar dependencies madness)

 -- Martin Quinson <mquinson@debian.org>  Sat, 09 Nov 2013 12:40:00 +0100

simgrid (3.9.90-3) experimental; urgency=low

  * Add gfortran to the build-depends for all SMPI tests (bummer)
  * Add default-jdk to the build-depends for Java (painful)

 -- Martin Quinson <mquinson@debian.org>  Sat, 02 Nov 2013 23:33:03 +0100

simgrid (3.9.90-2) experimental; urgency=low

  * Enable the Java bindings.
  * Enable the full test suite of SMPI features.

 -- Martin Quinson <mquinson@debian.org>  Sat, 02 Nov 2013 20:14:28 +0100

simgrid (3.9.90-1) experimental; urgency=low

  * New upstream snapshot, to prepare the 3.10 release.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 24 Oct 2013 13:31:29 +0200
