=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Package building rules for the SimGrid Debian Package.
# Strongly inspirated from the sample debhelper file, originally written by Joey Hess and Craig Small.
# Adapted to SimGrid by Lucas Nussbaum and Martin Quinson.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
# build with -O3 everywhere except on ia64 (#640538) since it is upstream
# policy to do so.
ifneq (ia64,$(shell dpkg-architecture -qDEB_HOST_ARCH))
  CFLAGS += -O3
endif

ifeq (arm,$(shell dpkg-architecture -qDEB_HOST_GNU_CPU))
  CFLAGS += -funwind-tables
endif

LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)

# parallel build does not work with gfortran building mpich3 tests

%:
	dh  $@ # --parallel

# CMAKE_BUILD_TYPE= (unset CMAKE_BUILD_TYPE) required, because:
# - dh magic runs cmake with -DCMAKE_BUILD_TYPE=RelWithDebInfo
# - this adds -DNDEBUG to CFLAGS (maybe a bug, see #711515)
# - this breaks simgrid (or at least some tests).
override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
	  dh_auto_configure -Scmake -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE= \
		-Denable_smpi_MPICH3_testsuite=ON \
		-Denable_java=ON \
		-Denable_print_message=ON
		
# FIXME renable tests at some point
override_dh_auto_test:
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install --fail-missing
	chrpath -d debian/tmp/usr/bin/graphicator
	chrpath -d debian/tmp/usr/bin/tesh
	mv debian/tmp/usr/bin/graphicator debian/tmp/usr/bin/simgrid-graphicator
	# move doc to correct place
	mkdir -p debian/tmp/usr/share/doc/simgrid
	mv debian/tmp/usr/doc/simgrid/* debian/tmp/usr/share/doc/simgrid/
	rm -rf debian/tmp/usr/doc
	# move jarfile to the right location
	mkdir -p debian/tmp/usr/share/java
	mv debian/tmp/usr/java/simgrid.jar debian/tmp/usr/share/java
	rm -rf debian/tmp/usr/java
